Cripay Docs

Alchemy address-activity webhook

Configure an Address Activity webhook per chain with the custodial addresses and the router. Signed with `X-Alchemy-Signature` (HMAC-SHA256 of the raw body with `ALCHEMY_WEBHOOK_SIGNING_KEY`).

POST
/v1/providers/alchemy

Request Body

application/json
  1. body
webhookId?string
id?string
type*string
event*
[key: string]?any

Response Body

Default Response

application/json
  1. response
ok*true
Value intrue
processing*integer
Example Request
curl -X POST 'http://127.0.0.1:3001/v1/providers/alchemy' \  -H 'Content-Type: application/json' \  -d '{  "type": "string",  "event": {    "network": "string"  }}'
Example Response
{  "ok": true,  "processing": 0}